## org.eclipse.datatools.modelbase.sql.tables
Interface Column

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, TypedElement

All Known Subinterfaces:
  SybaseASABaseColumn, SybaseASEColumn

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl, JDBCColumn, MySqlCatalogColumn, SybaseASABaseColumnImpl, SybaseASACatalogBaseColumn, SybaseASECatalogColumn, SybaseASEColumnImpl

    public interface Column

extends TypedElement

A representation of the model object 'Column'. Reference: 5WD-02-Foundation-2002-12 4.13 Columns, fields, and attributes

The following features are supported:

- `Table`
- `Identity Specifier`
- `Generate Expression`
- `Implementation Dependent`
- `Nullable`
- `Default Value`
- `Scope Check`
- `Scope Checked`

See Also:
  `SQLTablesPackage.getColumn()`

Method Summary
`java.lang.String` `getDefaultValue()` Returns the value of the 'Default Value' attribute.
`ValueExpression` `getGenerateExpression()` Returns the value of the 'Generate Expression' containment reference.
`IdentitySpecifier` `getIdentitySpecifier()` Returns the value of the 'Identity Specifier' containment reference.
`ReferentialActionType` `getScopeCheck()` Returns the value of the 'Scope Check' attribute.
`Table` `getTable()` Returns the value of the 'Table' container reference.
`boolean` `isImplementationDependent()` Returns the value of the 'Implementation Dependent' attribute.
`boolean` `isNullable()` Returns the value of the 'Nullable' attribute.
`boolean` `isPartOfForeignKey()`
`boolean` `isPartOfPrimaryKey()`
`boolean` `isPartOfUniqueConstraint()`
`boolean` `isScopeChecked()` Returns the value of the 'Scope Checked' attribute.
`void` `setDefaultValue(java.lang.String value)` Sets the value of the '`Default Value`' attribute.
`void` `setGenerateExpression(ValueExpression value)` Sets the value of the '`Generate Expression`' containment reference.
`void` `setIdentitySpecifier(IdentitySpecifier value)` Sets the value of the '`Identity Specifier`' containment reference.
`void` `setImplementationDependent(boolean value)` Sets the value of the '`Implementation Dependent`' attribute.
`void` `setNullable(boolean value)` Sets the value of the '`Nullable`' attribute.
`void` `setScopeCheck(ReferentialActionType value)` Sets the value of the '`Scope Check`' attribute.
`void` `setScopeChecked(boolean value)` Sets the value of the '`Scope Checked`' attribute.
`void` `setTable(Table value)` Sets the value of the '`Table`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTable

    Table getTable()

  Returns the value of the 'Table' container reference. It is bidirectional and its opposite is '`Columns`'.

  If the meaning of the 'Table' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table' container reference.
  See Also:
    `setTable(Table)`, `SQLTablesPackage.getColumn_Table()`, `Table.getColumns()`

### setTable

    void setTable(Table value)

  Sets the value of the '`Table`' container reference.

  Parameters:
    `value` - the new value of the 'Table' container reference.
  See Also:
    `getTable()`

### getIdentitySpecifier

    IdentitySpecifier getIdentitySpecifier()

  Returns the value of the 'Identity Specifier' containment reference.

  If the meaning of the 'Identity Specifier' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identity Specifier' containment reference.
  See Also:
    `setIdentitySpecifier(IdentitySpecifier)`, `SQLTablesPackage.getColumn_IdentitySpecifier()`

### setIdentitySpecifier

    void setIdentitySpecifier(IdentitySpecifier value)

  Sets the value of the '`Identity Specifier`' containment reference.

  Parameters:
    `value` - the new value of the 'Identity Specifier' containment reference.
  See Also:
    `getIdentitySpecifier()`

### getGenerateExpression

    ValueExpression getGenerateExpression()

  Returns the value of the 'Generate Expression' containment reference.

  If the meaning of the 'Generate Expression' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Generate Expression' containment reference.
  See Also:
    `setGenerateExpression(ValueExpression)`, `SQLTablesPackage.getColumn_GenerateExpression()`

### setGenerateExpression

    void setGenerateExpression(ValueExpression value)

  Sets the value of the '`Generate Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Generate Expression' containment reference.
  See Also:
    `getGenerateExpression()`

### isImplementationDependent

    boolean isImplementationDependent()

  Returns the value of the 'Implementation Dependent' attribute. The default value is `"False"`.

  If the meaning of the 'Implementation Dependent' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Implementation Dependent' attribute.
  See Also:
    `setImplementationDependent(boolean)`, `SQLTablesPackage.getColumn_ImplementationDependent()`

### setImplementationDependent

    void setImplementationDependent(boolean value)

  Sets the value of the '`Implementation Dependent`' attribute.

  Parameters:
    `value` - the new value of the 'Implementation Dependent' attribute.
  See Also:
    `isImplementationDependent()`

### isNullable

    boolean isNullable()

  Returns the value of the 'Nullable' attribute. The default value is `"True"`.

  If the meaning of the 'Nullable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nullable' attribute.
  See Also:
    `setNullable(boolean)`, `SQLTablesPackage.getColumn_Nullable()`

### setNullable

    void setNullable(boolean value)

  Sets the value of the '`Nullable`' attribute.

  Parameters:
    `value` - the new value of the 'Nullable' attribute.
  See Also:
    `isNullable()`

### getDefaultValue

    java.lang.String getDefaultValue()

  Returns the value of the 'Default Value' attribute.

  If the meaning of the 'Default Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `setDefaultValue(String)`, `SQLTablesPackage.getColumn_DefaultValue()`

### setDefaultValue

    void setDefaultValue(java.lang.String value)

  Sets the value of the '`Default Value`' attribute.

  Parameters:
    `value` - the new value of the 'Default Value' attribute.
  See Also:
    `getDefaultValue()`

### getScopeCheck

    ReferentialActionType getScopeCheck()

  Returns the value of the 'Scope Check' attribute. The default value is `"NO_ACTION"`. The literals are from the enumeration `ReferentialActionType`.

  If the meaning of the 'Scope Check' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `setScopeCheck(ReferentialActionType)`, `SQLTablesPackage.getColumn_ScopeCheck()`

### setScopeCheck

    void setScopeCheck(ReferentialActionType value)

  Sets the value of the '`Scope Check`' attribute.

  Parameters:
    `value` - the new value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `getScopeCheck()`

### isScopeChecked

    boolean isScopeChecked()

  Returns the value of the 'Scope Checked' attribute.

  If the meaning of the 'Scope Checked' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scope Checked' attribute.
  See Also:
    `setScopeChecked(boolean)`, `SQLTablesPackage.getColumn_ScopeChecked()`

### setScopeChecked

    void setScopeChecked(boolean value)

  Sets the value of the '`Scope Checked`' attribute.

  Parameters:
    `value` - the new value of the 'Scope Checked' attribute.
  See Also:
    `isScopeChecked()`

### isPartOfForeignKey

    boolean isPartOfForeignKey()

### isPartOfUniqueConstraint

    boolean isPartOfUniqueConstraint()

### isPartOfPrimaryKey

    boolean isPartOfPrimaryKey()